## netscape4.base 4.77-1

=== libnsfix-wcsmbs/Makefile ===
CFLAGS= -fPIC -shared -Wl,-soname,libnsfix-wcsmbs.so
#CFLAGS= -fPIC -shared -Wl,-soname,libnsfix-wcsmbs.so,--version-script=Versions
#CFLAGS= -fPIC -shared

#CFLAGS+= -DBROKEN
#CFLAGS+= -DDEBUG

CFLAGS += -O2 -g -Wall

#SRC = mb_cur_max.c mbstowcs.c wcstombs.c mblen.c mbtowc.c wctomb.c
SRC = mb_cur_max.c

all: libnsfix-wcsmbs.so

libnsfix-wcsmbs.so:
	gcc $(CFLAGS) -o libnsfix-wcsmbs.so $(SRC)

clean:
	rm -f libnsfix-wcsmbs.so

.PHONY: all clean

=== ns-bogus-locale/Makefile ===
# $Id: Makefile,v 1.1 1999/10/21 12:33:29 tshiozak Exp $

TARGET=ns_bogus_locale.so
# DEFS=-DUNDER_46
CFLAGS = -O2 -g -Wall

all:
	gcc $(CFLAGS) -fPIC -shared -o $(TARGET) $(DEFS) ns-bogus-locale.c ns-bogus-misc.c

clean:
	rm -f *.so

.PHONY: all clean

# end of file

=== debian/changelog ===
netscape4.base (1:4.77-1) stable unstable; urgency=high

  * Required by security release package netscape4.77
  * remove build depends on libc5 stuff for non i386/m68k
  * Changes to debian/rules to allow building on non-i386
  * Add Linux Counter to default bookmarks (closes: #81615)
  * netscape-base-4 recommends mime-support (closes: #89164)
  * Update netscape-remote version number (closes: #79615)
  * Update package descriptions a little (closes: #79053)

 -- Ryan Murray <rmurray@debian.org>  Thu, 19 Apr 2001 00:43:00 -0700

netscape4.base (1:4.76-1) stable unstable; urgency=high

  * To Release Manager: Fixes many bugs, required by security fix in
                        netscape4.76-4.76.  Please install to stable as well.
  * Updated bookmarks (closes: #75574)
  * Fix libnsfix-wcsmbs for glibc 2.2 (closes: #74667)
  * Add quoting to wrapper (closes: #77203)
  * Don't prepend http:// for "" (closes: #71071, #74840, #71398, #70789)
  * Add a Google Button (closes: #71162)
  * Use ldd instead of objdump to get the libc version (closes: #69881)
  * Bring back the mime system, better this time :) (closes: #70966)
  * Add mime entries for netscape/communicator helper packages
    (closes: #62061)

 -- Ryan Murray <rmurray@debian.org>  Tue, 28 Nov 2000 01:47:45 -0800

netscape4.base (1:4.75-2) stable unstable; urgency=high

  * Make netscape3 settings only update if USE_NS3_SETTINGS is set to yes.
    (closes: #69927, #70664)
  * Add versioned depends to debianutils (closes: #70684)

 -- Ryan Murray <rmurray@debian.org>  Sat,  2 Sep 2000 13:56:48 -0700

netscape4.base (1:4.75-1) stable unstable; urgency=high

  * New maintainer.
  * Quiet error messages (closes: #66286, #66269, #66375, #66378, #66343,
    closes: #67167, #66721)
  * Fix typos (closes: #66954, #62886, #63214, #64429, #61438, #65711,
    closes: #66921, #66954)
  * Fix lockfile handling (closes: #67121)
  * Return return value of netscape (closes: #68039, #66091, #64390, #68359)
  * remove menufile (closes: #65307)
  * Private parameters to wrapper script must be at the start of the
    command line.  This allows spaces in further parameters.
    (closes: #55697, #57142, #56415, #65917)
  * Use /usr/bin/printf instead of possible builtin (closes: #61450)
  * Remove readlink, use the version in debianutils (which some calls were
    anyways)
  * Merged in changes based on the test NMU of netscape4.base (1:4.73-32.1.5)
    by Anthony Fok <foka@debian.org>:
     + Conglomerated Chinese, Japanese and Korean (CJK) support.
       - Merged: netscape-base-ja-4 by UNO Takeshi <uno@sysplan.co.jp>,
         and TARUISHI Masato <taru@debian.or.jp>.
       - Merged: netscape-base-ko-4 by KiHyeon Seo <nefsall@nef.sarang.net>.
     + Essentialy, it preloads libnsfix-wcsmbs.so and ns_bogus_locale.so
       for {ja,ko,zh} locales to correct problems with CJK multibyte
       characters entry in Netscape.
     + Testing and debugging by Fumitoshi UKAI <ukai@debian.or.jp>:
       - Fix bug that File Save As dialog always popup
         "Character 'x' is not supported by font"
       - Fix bug that File Download dialog sometimes popup
         "Character 'x' not supported by font"
       - fix <input type="text"> reset problem by ns-bogus-locale
       Many thanks, UKAI-san!  :-)
     + Updated links in Debian's default bookmarks.html.
     + Added Build-Depends: debhelper, altgcc, libc5-dev, libdl1-altdev.
     + Closing old bug reports (the one-char typo) fixed in 4.73-32.
       Closes: #66092, #66094, #66095, #66098, #66100, #66103, #66106;
       Closes: #66112, #66118, #66139, #66141.
  * Move mime-types to specific navigator/communicator packages.

 -- Ryan Murray <rmurray@debian.org>  Mon, 21 Aug 2000 23:39:25 -0700

netscape4.base (1:4.73-32) frozen unstable; urgency=high

  * Fix one-character typo in previous upload.

 -- Adam Heath <doogie@debian.org>  Thu, 22 Jun 2000 17:14:51 -0500

netscape4.base (1:4.73-31) frozen unstable; urgency=low

  * Added support for sources files in /usr/lib/netscape/base-4/wrapper.d/,
    /usr/lib/netscape/$VER/wrapper.d, and
    /usr/lib/netscape/$VER/$BIN/wrapper.d/.
  * Added Anthony Fok's wrapper fragment to support XFILESEARCHPATH.

 -- Adam Heath <doogie@debian.org>  Tue, 20 Jun 2000 18:54:54 -0500

netscape4.base (1:4.73-30) frozen unstable; urgency=low

  * Changed the meta pkgs' depend to the 4.73 versions.

 -- Adam Heath <doogie@debian.org>  Tue, 30 May 2000 04:11:02 -0500

netscape4.base (1:4.72-29) frozen unstable; urgency=low

  * Removed powerpc from netscape-base-4-libc5's arch line.
  * Changed communicator meta pkg to depend on 4.7 for powerpc.
  * Netscape meta pkg lists communicator first for its virtual
    dependency.
  * Added powerpc to debian/archmap.

 -- Adam Heath <doogie@debian.org>  Mon, 10 Apr 2000 06:41:00 -0500

netscape4.base (1:4.72-28) frozen unstable; urgency=low

  * Added a netscape-base-4-libc5, so netscape systems can be libc5
    if so desired.  Closes: #60106.
  * Changed meta pkgs to depend on 4.72 versions of netscape.
    Closes: #60172.
  * Quote arguments passed to tr.  Closes: #57404.
  * Suggests communicator instead of 4.5 version.  Closes: #56458.
  * Add new features to the wrapper, by looking at the one included
    with the netscape installers:
    * Improve the locale detection
    * Remove preferences.js, so it can be regenerated automatically
      by netscape from preferences.  Fixes some random netscape
      type bugs.

 -- Adam Heath <doogie@debian.org>  Sun, 26 Mar 2000 07:38:26 -0600

netscape4.base (1:4.70-27) frozen unstable; urgency=low

  * Conflicts with libc6 (<< 2.1.2-12), so that I can force libc6 to
    be upgraded, so that I can guarantee that the binary 'locale' is
    installed.  Closes: #56437, #56015.

 -- Adam Heath <doogie@debian.org>  Fri, 28 Jan 2000 05:50:29 -0600

netscape4.base (1:4.70-26) frozen unstable; urgency=low

  * Removed depends on libc6-bin, as that has been merged back into
    libc6 and locales.



=== debian/control ===
Source: netscape4.base
Section: contrib/web
Priority: optional
Maintainer: Ryan Murray <rmurray@debian.org>
Build-Depends: debhelper, xlib6g-dev, altgcc, libc5-dev, libdl1-altdev
Standards-Version: 3.1.1

Package: netscape-base-4
Architecture: i386 powerpc
Suggests: plugger, communicator
Replaces: netscape-base-ja-4, netscape-base-ko-4
Conflicts: netscape4, netscape3, libc6 (<< 2.1.2-12), netscape-base-ja-4, netscape-base-ko-4
Provides: netscape4, netscape-base-ja-4, netscape-base-ko-4
Depends: ${shlibs:Depends}
Description: Popular World-Wide-Web browser software (base support)
 Netscape (pronounced "Mozilla") is a graphical World-Wide-Web browser
 with many features.  It supports advanced features of HTML and new
 technologies such as "Java" from Sun Microsystems.
 .
 You will need the "ImageMagick" package installed if you wish to
 get in-line support of image types not directly supported by netscape.
 .
 This package provides support routines for all netscape version 4.x
 packages.

Package: netscape
Architecture: i386 powerpc
Depends: communicator | navigator
Conflicts: ${netscape:Conflicts}
XB-Meta-Package: yes
Description: Meta package that depends on other packages
 This package depends on the real netscape packages, so as to
 make things easier for people to install.

Package: navigator
Architecture: i386
Conflicts: ${netscape:Conflicts}
Depends: ${navigator:Depends}
XB-Meta-Package: yes
Description: Meta package that depends on other packages
 This package depends on the real netscape packages, so as to
 make things easier for people to install.

Package: communicator
Architecture: i386 powerpc
Conflicts: ${netscape:Conflicts}
Depends: ${communicator:Depends}
XB-Meta-Package: yes
Description: Meta package that depends on other packages
 This package depends on the real netscape packages, so as to
 make things easier for people to install.

Package: netscape-base-4-libc5
Architecture: i386 sparc
Depends: ${shlibs:Depends}, netscape-base-4
Conflicts: netscape-base-4 (<< 1:4.70-27)
Description: Popular World-Wide-Web browser software (base support)
 Netscape (pronounced "Mozilla") is a graphical World-Wide-Web browser
 with many features.  It supports advanced features of HTML and new
 technologies such as "Java" from Sun Microsystems.
 .
 You will need the "ImageMagick" package installed if you wish to
 get in-line support of image types not directly supported by netscape.
 .
 This package provides support routines for all netscape version 4.x
  packages.
 .
 About the netscape4.  I plan on making a 'converter' package, that  can
 take an installed version of netscape, and convert it to a set of debs,
 which can then be installed, and will have the same filesystem layout
 as the normal debs.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

COMPAT_ARCHS=i486 m68k
VER=406 407 408 45 451 46 461 47 472 473 475 476 477
DEPENDS_i486=477
DEPENDS_powerpc=47

CFLAGS+=$(CFLAGS_$(@))
CFLAGS_libnsfix.so:=-fPIC
CFLAGS_libnsfix-libc5.so:=-fPIC

CPPFLAGS+=$(CPPFLAGS_$(@))
CPPFLAGS_netscape-remote:=-DSTANDALONE

LDFLAGS+=$(LDFLAGS_$(@))
LDFLAGS_netscape-remote:=-L/usr/X11R6/lib
LDFLAGS_libnsfix.so:=-shared
LDFLAGS_libnsfix-libc5.so:=-shared

LIBS+=$(LIBS_$(@))
LIBS_libnsfix.so:=-lc -ldl
LIBS_libnsfix-libc5.so:=-lc -ldl
LIBS_netscape-remote:=-lXt -lSM -lXext -lXmu -lX11 -lICE

OPT:=-O2
WARN:=-Wall

#
# No user configurable parts below.
#

include debian/arch.mk

TARGETS += uri_escape netscape-remote libnsfix.so

define compile_command
	$(CC) $(WARN) $(OPT) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ $< $(LIBS)
endef
netscape-remote: remote.c
	$(compile_command)
lib%.so: %.c
	$(compile_command)

%: %.c
	$(compile_command)

ifneq ($(strip $(LIBC5_ARCH)),)
libnsfix-libc5.so: nsfix.c
	$(compile_command)
libnsfix-libc5.so: PATH:=/usr/$(ARCHM)-linuxlibc1/bin:$(PATH)
libnsfix-libc5.so: CC:=/usr/$(ARCHM)-linuxlibc1/bin/cc
TARGETS += libnsfix-libc5.so
endif

bar:
	@echo LIBC5_ARCH=$(LIBC5_ARCH)
#
# Debian specific makefile is below.
#

DEBVER:= $(shell dpkg-parsechangelog 2>&1|egrep ^Version|cut -d " " -f 2|cut -d "-" -f 2)
SRCVER:= $(shell dpkg-parsechangelog 2>&1|egrep ^Version|cut -d " " -f 2|cut -d "-" -f 1)

CONFLICTS_$(ARCHM)=$(filter-out $(DEPENDS_$(ARCHM)), $(VER))

comma:=,
space:= #foo
netscape-depends:=$(patsubst %,%-$(DEPENDS_$(ARCHM)),netscape-base) netscape-base-4
navigator-depends:=$(patsubst %,%-$(DEPENDS_$(ARCHM)),navigator-smotif netscape-java) netscape-base-4
communicator-depends:=$(patsubst %,%-$(DEPENDS_$(ARCHM)),communicator-smotif netscape-java) netscape-base-4
netscape-conflicts:=$(patsubst %,netscape-base-%,$(filter-out $(DEPENDS_$(ARCHM)), $(VER)))
gencontrol-options1:=-Vnetscape:Conflicts="$(shell echo $(netscape-conflicts) | tr ' ' ',')"
gencontrol-options2:=-Vnavigator:Depends="$(shell echo $(navigator-depends) | tr ' ' ',')"
gencontrol-options3:=-Vcommunicator:Depends="$(shell echo $(communicator-depends) | tr ' ' ',')"
g-o:=$(gencontrol-options1) $(gencontrol-options2) $(gencontrol-options3)
foo:
	@echo $(CONFLICTS_$(ARCHM))
	@echo $(DEPENDS_$(ARCHM))
	@echo netscape-conflicts:$(netscape-conflicts)
	@echo navigator-depends:$(navigator-depends)
	@echo navigator-conflicts:$(navigator-conflicts)
	@echo communicator-depends:$(communicator-depends)
	@echo communicator-conflicts:$(communicator-conflicts)
	@echo $(gencontrol-options1)
	@echo $(gencontrol-options2)
	@echo $(gencontrol-options3)
	@echo $(g-o)
test:

chmod:

build: build-indep build-arch
build-indep:
build-arch: $(TARGETS)
	$(MAKE) -C libnsfix-wcsmbs
	$(MAKE) -C ns-bogus-locale DEFS=-DUNDER_46 TARGET=ns_bogus_locale_old.so
	$(MAKE) -C ns-bogus-locale

install: install-indep install-arch
install-indep: chmod build-indep debian/control
install-arch: chmod build-arch debian/control
	dh_clean -k -a
	dh_installdirs -a
ifneq ($(LIBC5_ARCH),)
	install -m 755 libnsfix-libc5.so debian/netscape-base-4-libc5/usr/lib/netscape/base-4
endif
	install -m 755 libnsfix.so debian/tmp/usr/lib/netscape/base-4/libnsfix-libc6.so
	install -m 755 libnsfix-wcsmbs/libnsfix-wcsmbs.so \
		debian/tmp/usr/lib/netscape/base-4/
	install -m 755 ns-bogus-locale/*.so \
		debian/tmp/usr/lib/netscape/base-4/
	install -m 755 -p netscape-remote uri_escape wrapper \
		debian/tmp/usr/lib/netscape/base-4
	install -m 644 -p environment config debian/tmp/etc/netscape4
	install -m 644 -p defaults/* debian/tmp/etc/netscape4/defaults
	install -m 644 -p debian/netscape-base-4.Xresources debian/tmp/usr/share/doc/netscape-base-4/examples/
	install -m 644 -p wrapper.d/* debian/tmp/usr/lib/netscape/base-4/wrapper.d/
	ln -s ../../lib/netscape/base-4/wrapper debian/tmp/usr/X11R6/bin/netscape-remote

clean: debian/control
	dh_testdir
	dh_clean
	-$(MAKE) -C libnsfix-wcsmbs clean
	-$(MAKE) -C ns-bogus-locale clean
	rm -f $(TARGETS) nsfix.o debian/control
	$(MAKE) -f debian/rules debian/control

binary-indep: install-indep debian/control
 #	dh_testdir -i
 #	dh_testroot -i
#	dh_movefiles -i
#	dh_installdocs -i
 #	dh_installmenu -i
 #	dh_installmanpages -i
	dh_installexamples -p netscape-base-4
#	dh_installchangelogs -i
#	dh_strip -i
#	dh_makeshlibs -i
 #	dh_compress -i
 #	dh_fixperms -i
 #	dh_installdeb -i
 #	dh_gencontrol -i
 #	dh_md5sums -i
#	dh_dirsizes -i
 #	dh_builddeb -i

binary-arch: install-arch debian/control
	dh_testdir -s
	dh_testroot -s
#	dh_movefiles -s
	dh_installdocs -s CONFIG ENVIRONMENT \
		PLUGINS TODO debian/README.Debian.* \
		debian/changelog.netscape-base-*-4.Debian
	rm -rf debian/navigator/usr/share/doc/navigator \
	       debian/communicator/usr/share/doc/communicator
	[ ! -d debian/communicator/usr ] || \
		ln -s netscape-base-4 debian/communicator/usr/share/doc/communicator
	[ ! -d debian/navigator/usr ] || \
		ln -s netscape-base-4 debian/navigator/usr/share/doc/navigator
	install -m644 -p ns-bogus-locale/README \
		debian/tmp/usr/share/doc/netscape-base-4/README.ns-bogus-locale
	dh_installmenu -s
	dh_installmanpages -p netscape-base-4
	dh_installchangelogs -s -Ncommunicator -Nnavigator
	dh_installmime -p netscape-base-4
	dh_strip -s
#	dh_makeshlibs -s
	dh_compress -s
	dh_fixperms -s
	dh_installdeb -s
	LD_PRELOAD= dh_shlibdeps -s
	dh_gencontrol -su "$(g-o)"
	dh_md5sums -s
#	dh_dirsizes -s
	dh_builddeb -s

# Below here is fairly generic really

binary:         binary-indep binary-arch

#debian/control: debian/control.in
#	cpp -U$(shell ARCH=$(ARCH) sh debian/archmap gcc) -A- -P $(CPPFLAGS) -o $@ $< 

debian/control: debian/control.full debian/control.libc5
	cat debian/control.full debian/control.libc5 > $@

.PHONY: binary binary-arch binary-indep clean install install-arch install-indep

## netscape4.base 4.77-2

=== debian/changelog ===
netscape4.base (1:4.77-2) unstable; urgency=high

  * Remove sparc from libc5 architectures -- sparc doesn't have libc5 anymore.
    (this also removes this package entirely from sparc...)

 -- Ryan Murray <rmurray@debian.org>  Wed,  2 May 2001 11:03:27 -0700

## netscape4.base 5

=== debian/control ===
Source: netscape4.base
Section: contrib/web
Priority: optional
Maintainer: Adam Heath <adam.heath@usa.net>
Standards-Version: 2.4.0.0

Package: netscape-base-4
Architecture: i386 powerpc
Depends: dpkg-awk
Suggests: plugger, browser-407
Conflicts: netscape4, netscape3
Provides: netscape4
Description: Popular World-Wide-Web browser software (base support)
 Netscape (pronounced "Mozilla") is a graphical World-Wide-Web browser
 with many features.  It supports advanced features of HTML and new
 technologies such as "Java" from Sun Microsystems.
 .
 You will need the "ImageMagick" package installed if you wish to
 get in-line support of image types not directly supported by netscape.
 .
 This package provides support routines for all netscape version 4.x
  packages.
 .
 About the netscape4.  I plan on making a 'converter' package, that  can
 take an installed version of netscape, and convert it to a set of debs,
 which can then be installed, and will have the same filesystem layout
 as the normal debs.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

DEBVER:= $(shell dpkg-parsechangelog 2>&1|egrep ^Version|cut -d " " -f 2|cut -d "-" -f 2)
SRCVER:= $(shell dpkg-parsechangelog 2>&1|egrep ^Version|cut -d " " -f 2|cut -d "-" -f 1)


ARCH:=$(shell dpkg --print-installation-architecture)

#$(shell rm -f do-bo-build)

chmod:

build: build-indep build-arch

build-indep:

build-arch:
	-cc -o netscape-remote -O2 -DSTANDALONE -L/usr/X11R6/lib -lXmu -lX11 remote.c

install: install-indep install-arch

install-indep: chmod build-indep

install-arch: chmod build-arch
	dh_clean -k -a
	dh_installdirs -a
	install -m 755 netscape-remote\
		wrapper check_rvpl register_netscape\
		debian/tmp/usr/lib/netscape/base-4
	install -m 644 environment config debian/tmp/etc/netscape4
	install -m 600 defaults/* debian/tmp/etc/netscape4/defaults
	ln -s ../../lib/netscape/base-4/netscape-remote debian/tmp/usr/X11R6/bin/netscape-remote

clean:
	dh_testdir
	dh_clean
	rm -f netscape-remote log

binary-indep: install-indep
 #	dh_testdir -i
 #	dh_testroot -i
#	dh_movefiles -i
#	dh_installdocs -i
 #	dh_installmenu -i
 #	dh_installmanpages -i
#	dh_installchangelogs -i
#	dh_strip -i
#	dh_makeshlibs -i
 #	dh_compress -i
 #	dh_fixperms -i
#	dh_suidregister -i
 #	dh_installdeb -i
 #	dh_gencontrol -i
 #	dh_md5sums -i
#	dh_dirsizes -i
 #	dh_builddeb -i

binary-arch: install-arch
	dh_testdir -a
	dh_testroot -a
#	dh_movefiles -a
	dh_installdocs -a CONFIG ENVIRONMENT PLUGINS README TODO
	dh_installmenu -a
	dh_installmanpages -a
	dh_installchangelogs -a
	dh_strip -a
#	dh_makeshlibs -a
	dh_compress -a
	dh_fixperms -a
#	dh_suidregister -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
#	dh_dirsizes -a
	dh_builddeb -a

# Below here is fairly generic really

binary:         binary-indep binary-arch


.PHONY: binary binary-arch binary-indep clean install install-arch install-indep
